Bug 917012 (CVE-2013-1796)

Summary: CVE-2013-1796 kernel: kvm: buffer overflow in handling of MSR_KVM_SYSTEM_TIME
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: agordeev, anton, areis, dhoward, dlaor, ehabkost, ekuric, fhrbata, gleb, jlieskov, knoel, lwang, minovotn, mkenneth, mtosatti, npajkovs, qzhang, rhod, security-response-team, sforsber
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20130320,reported=20130220,source=google,cvss2=6.5/AV:A/AC:H/Au:S/C:C/I:C/A:C,rhel-5/kvm=affected,rhel-5/kernel=notaffected,rhel-6/kernel=affected,mrg-2/realtime-kernel=notaffected,fedora-all/kernel=affected,rhel-6.2.z/kernel=affected,rhel-6.3.z/kernel=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-23 16:58:08 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 917018, 917019, 917020, 917021, 923966, 964429, 964430    
Bug Blocks: 917037    

Description Petr Matousek 2013-03-01 08:18:07 EST
Description of the problem:
If the guest sets the GPA of the time_page so that the request to update the 
time straddles a page then KVM will write onto an incorrect page.  The
write is done byusing kmap atomic to get a pointer to the page for the time
structure and then performing a memcpy to that page starting at an offset
that the guest controls.  Well behaved guests always provide a 32-byte aligned
address, however a malicious guest could use this to corrupt host kernel
memory.

Acknowledgements:

Red Hat would like to thank Andrew Honig of Google for reporting this issue.
Comment 1 Petr Matousek 2013-03-01 08:19:06 EST
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat
Enterprise Linux 5 and Red Hat Enterprise MRG as they did not provide support
for the KVM subsystem.
Comment 6 Petr Matousek 2013-03-20 15:46:25 EDT
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 923966]
Comment 11 Fedora Update System 2013-03-23 19:58:15 EDT
kernel-3.8.4-202.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 errata-xmlrpc 2013-04-09 14:14:50 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0727 https://rhn.redhat.com/errata/RHSA-2013-0727.html
Comment 17 errata-xmlrpc 2013-04-23 14:28:07 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0744 https://rhn.redhat.com/errata/RHSA-2013-0744.html
Comment 18 errata-xmlrpc 2013-04-23 14:56:34 EDT
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2013:0746 https://rhn.redhat.com/errata/RHSA-2013-0746.html
Comment 20 errata-xmlrpc 2013-06-11 13:40:21 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.3 EUS - Server Only

Via RHSA-2013:0928 https://rhn.redhat.com/errata/RHSA-2013-0928.html
Comment 21 errata-xmlrpc 2013-07-09 11:05:58 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.2 EUS - Server Only

Via RHSA-2013:1026 https://rhn.redhat.com/errata/RHSA-2013-1026.html